%global project_name rabbitmq-c

Name:      librabbitmq

Version:   0.13.0
Release:   1

Summary:   The AMQP client library
License:   MIT
URL:       https://github.com/alanxz/rabbitmq-c

Source0:   https://github.com/alanxz/%{project_name}/archive/refs/tags/v%{version}.tar.gz

Patch0:    CVE-2023-35789.patch

BuildRequires:	cmake > 3.12
BuildRequires:	popt-devel > 1.14
BuildRequires:	openssl-devel xmlto gcc
Provides:		%{name}-tools
Obsoletes:		%{name}-tools

%description
This is a C-language AMQP client library for use with AMQP servers speaking protocol versions 0-9-1.

%package devel
Summary:	Development files for %{name}
Requires:   %{name} = %{version}-%{release}

%description devel
Libraries and header files of %{name} are all in the %{name}-devel package.

%package	help
Summary:	Help manual for %{name}

%description	help
The %{name}-help package conatins man manual etc

%prep
%autosetup -n %{project_name}-%{version} -p1
sed -e '/test_basic/d' -i tests/CMakeLists.txt

%build
%cmake -DBUILD_TOOLS:BOOL=ON -DBUILD_TOOLS_DOCS:BOOL=ON -DBUILD_STATIC_LIBS:BOOL=ON
%make_build

%install
%make_install
rm %{buildroot}%{_libdir}/%{name}.a

%check
grep @ %{buildroot}%{_libdir}/pkgconfig/librabbitmq.pc && exit 1
make test

%files
%license LICENSE AUTHORS
%doc THANKS *.md
%{_libdir}/%{name}.so.4*
%{_libdir}/%{name}.so.%{version}
%{_bindir}/amqp-*
%{_libdir}/cmake/rabbitmq-c/*

%files devel
%{_libdir}/%{name}.so
%{_includedir}/amqp*
%{_includedir}/%{project_name}/*.h
%{_libdir}/pkgconfig/%{name}.pc

%files help
%doc %{_mandir}/man1/amqp-*.1*
%doc %{_mandir}/man7/librabbitmq-tools.7*

%changelog
* Thu Oct 12 2023 Ge Wang <wang__ge@126.com> - 0.13.0-1
- Update to version 0.13.0

* Fri Jun 30 2023 yaoxin <yao_xin001@hoperun.com> - 0.11.0-2
- Fix CVE-2023-35789

* Mon Jan 16 2023 dan <fzhang@zhixundn.com> 0.11.0-1
- update to 0.11.0

* Sat Jan 7 2023 mengwenhua <mengwenhua@xfusion.com> - 0.9.0-8
- OpenSSL should ignore missing config file

* Fri Jan 6 2023 mengwenhua <mengwenhua@xfusion.com> - 0.9.0-7
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:Fix instructions for default build

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.9.0-6
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Tue Jun 08 2021 wulei <wulei80@huawei.com> - 0.9.0-5
- fixes failed: No CMAKE_C_COMPILER could be found

* Wed Sep 16 2020 zhanghua <zhanghua40@huawei.com> - 0.9.0-4
- Fix CVE-2019-18609

* Sat Dec 14 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.9.0-3
- Package init
